Subject: bug#73501: closed (Re: bug#73501: 30.0.91; zoom smaller/larger svg image file unresponsive)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 12 Oct 2024 11:21:02 +0000

Your bug report

#73501: 30.0.91; zoom smaller/larger svg image file unresponsive

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73501: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73501
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73501: 30.0.91; zoom smaller/larger svg image file unresponsive
From: Eli Zaretskii <[email-masked]>
To: Van Ly <[email-masked]>
Cc: [email-masked]
Date: Sat, 12 Oct 2024 14:19:42 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Van Ly <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 27 Sep 2024 18:03:47 +0000
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> So it seems C-x C-+ and C-x C-- are not calling Zoom In and Zoom Out on
> >> the svg image.
> >
> > What does "C-h c C-x C-+" tell you?
> 
> I think at the head of this bug report I mentioned text-scale-adjust.
> 
> Now, I know image scale adjust does not use C-x C-+ but i + and other
> keybindings listed in the context menu on C-Mouse 3 button.

Thanks, closing.

Subject: 30.0.91; zoom smaller/larger svg image file unresponsive
From: Van Ly <[email-masked]>
To: [email-masked]
Date: Thu, 26 Sep 2024 15:49:48 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Using the following svg image file

 -> https://commons.wikimedia.org/wiki/File:CaldwellStarChart.svg

when "emacs -Q" is toggled fullscreen on 1080p display and the above
file is opened, "C-x C-+" and "C-x C--" text-scale-adjust command won't
zoom to enlarge or shrink the rendered image.

The svg image is displayed at 50-percent the width of fullscreen.

If "emacs -Q" is opened and left at the default frame size and the svg
file is opened, the smaller displayed svg image (See A) will zoom to
enlarge once at 50-percent the width of screen after the frame is
toggled fullscreen (See B).

Expected behavior is zoom to enlarge/shrink happens in response to "C-x C-+" and "C-x C--".

 -> http://sdf.org/~van.ly/img/emacs-30-0-91-pretest-svg-default-frame.jpeg A
 -> http://sdf.org/~van.ly/img/emacs-30-0-91-pretest-svg-fullscreen.jpeg B

-- 
vl